PAPI_get_eventset_component(3)

NAME
PAPI_get_eventset_component - return index for component an eventset is assigned to

SYNOPSIS

Detailed Description

Return values
    PAPI_ENOEVST eventset does not exist
    PAPI_ENOCMP component is invalid or does not exist
    positive value valid component index

Parameters
    EventSet EventSet for which we want to know the component index

Examples:

    int cidx,eventcode;
    cidx = PAPI_get_eventset_component(eventset);

     PAPI_get_eventset_component() returns the component an event belongs to.

See also
    PAPI_get_event_component

Author

Generated automatically by Doxygen for PAPI from the source code.